Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### strokeWeight()

Examples

    smooth();
    strokeWeight(1);   // Default
    line(20, 20, 80, 20);
    strokeWeight(4);   // Thicker
    line(20, 40, 80, 40);
    strokeWeight(10);  // Beastly
    line(20, 70, 80, 70);

Description | Sets the width of the stroke used for lines, points, and the border around shapes. All widths are set in units of pixels. This function does not work with the P3D renderer (please see the size() reference for more information).

Syntax

    strokeWeight(width)

Parameters

width | int or float: the weight (in pixels) of the stroke

Usage | Web & Application
Related | stroke() strokeJoin() strokeCap()

Updated on February 09, 2008 04:38:52pm PST